aboutsummaryrefslogtreecommitdiffstats
path: root/meta/recipes-kernel/modutils-initscripts
diff options
context:
space:
mode:
authorKhem Raj <raj.khem@gmail.com>2012-01-31 00:34:28 -0800
committerRichard Purdie <richard.purdie@linuxfoundation.org>2012-05-06 10:21:18 +0100
commit27bc204010b9dccb30847d7b3216f8b1e106f64e (patch)
tree1d60547e8081033d1b80b823dd4b08fe4e2789f1 /meta/recipes-kernel/modutils-initscripts
parent7d782a6ef77072d7f0fe50d8208c24c9e9ea9507 (diff)
downloadopenembedded-core-contrib-27bc204010b9dccb30847d7b3216f8b1e106f64e.tar.gz
openembedded-core-contrib-27bc204010b9dccb30847d7b3216f8b1e106f64e.tar.bz2
openembedded-core-contrib-27bc204010b9dccb30847d7b3216f8b1e106f64e.zip
module-init-tools: Delete
Since its provided by kmod Signed-off-by: Khem Raj <raj.khem@gmail.com>
Diffstat (limited to 'meta/recipes-kernel/modutils-initscripts')
-rw-r--r--meta/recipes-kernel/modutils-initscripts/files/PD.patch8
-rwxr-xr-xmeta/recipes-kernel/modutils-initscripts/files/modutils.sh36
-rw-r--r--meta/recipes-kernel/modutils-initscripts/modutils-initscripts.bb20
3 files changed, 64 insertions, 0 deletions
diff --git a/meta/recipes-kernel/modutils-initscripts/files/PD.patch b/meta/recipes-kernel/modutils-initscripts/files/PD.patch
new file mode 100644
index 0000000000..21ac49cbd8
--- /dev/null
+++ b/meta/recipes-kernel/modutils-initscripts/files/PD.patch
@@ -0,0 +1,8 @@
+Upstream-Status: Inappropriate [licensing]
+
+Index: modutils-initscripts-1.0/LICENSE
+===================================================================
+--- /dev/null 1970-01-01 00:00:00.000000000 +0000
++++ modutils-initscripts-1.0/LICENSE 2010-12-06 14:26:03.570339002 -0800
+@@ -0,0 +1 @@
++Public Domain
diff --git a/meta/recipes-kernel/modutils-initscripts/files/modutils.sh b/meta/recipes-kernel/modutils-initscripts/files/modutils.sh
new file mode 100755
index 0000000000..9049bbb8aa
--- /dev/null
+++ b/meta/recipes-kernel/modutils-initscripts/files/modutils.sh
@@ -0,0 +1,36 @@
+#!/bin/sh
+### BEGIN INIT INFO
+# Provides: module-init-tools
+# Required-Start:
+# Required-Stop:
+# Should-Start: checkroot
+# Should-stop:
+# Default-Start: S
+# Default-Stop:
+# Short-Description: Process /etc/modules.
+# Description: Load the modules listed in /etc/modules.
+### END INIT INFO
+
+LOAD_MODULE=modprobe
+[ -f /proc/modules ] || exit 0
+[ -f /etc/modules ] || exit 0
+[ -e /sbin/modprobe ] || LOAD_MODULE=insmod
+
+if [ ! -f /lib/modules/`uname -r`/modules.dep ]; then
+ [ "$VERBOSE" != no ] && echo "Calculating module dependencies ..."
+ depmod -Ae
+fi
+
+[ "$VERBOSE" != no ] && echo -n "Loading modules: "
+(cat /etc/modules; echo; ) |
+while read module args
+do
+ case "$module" in
+ \#*|"") continue ;;
+ esac
+ [ "$VERBOSE" != no ] && echo -n "$module "
+ eval "$LOAD_MODULE $module $args >/dev/null 2>&1"
+done
+[ "$VERBOSE" != no ] && echo
+
+exit 0
diff --git a/meta/recipes-kernel/modutils-initscripts/modutils-initscripts.bb b/meta/recipes-kernel/modutils-initscripts/modutils-initscripts.bb
new file mode 100644
index 0000000000..89d38cff45
--- /dev/null
+++ b/meta/recipes-kernel/modutils-initscripts/modutils-initscripts.bb
@@ -0,0 +1,20 @@
+SECTION = "base"
+DESCRIPTION = "modutils configuration files"
+LICENSE = "PD"
+LIC_FILES_CHKSUM = "file://LICENSE;md5=7bf87fc37976e93ec66ad84fac58c098"
+SRC_URI = "file://modutils.sh \
+ file://PD.patch"
+PR = "r6"
+
+INITSCRIPT_NAME = "modutils.sh"
+INITSCRIPT_PARAMS = "start 4 S ."
+
+inherit update-rc.d
+
+do_compile () {
+}
+
+do_install () {
+ install -d ${D}${sysconfdir}/init.d/
+ install -m 0755 ${WORKDIR}/modutils.sh ${D}${sysconfdir}/init.d/
+}